com.sun.jna.platform.win32

## Class WinNT.HRESULT

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.NativeLong
      - - com.sun.jna.platform.win32.WinNT.HRESULT

- All Implemented Interfaces:
    NativeMapped, java.io.Serializable
  Enclosing interface:
    WinNT

      public static class WinNT.HRESULT
      extends NativeLong

  Return code used by interfaces. It is zero upon success and nonzero to represent an error code or status information.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.jna.NativeLong

      `SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinNT.HRESULT()`
    `WinNT.HRESULT(int value)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.IntegerType

      `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WinNT.HRESULT

          public WinNT.HRESULT()

    - #### WinNT.HRESULT

          public WinNT.HRESULT(int value)

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.